require'nvim-treesitter.configs'.setup {
    -- One of "all", "maintained", or a list of languages
    ensure_installed = {
        "c", "zig", "bash", "scala", "yaml", "css", "javascript",
        "latex", "clojure", "lua", "cpp", "hcl", "json", "ocaml", "toml",
        "rust", "sql", "python", "gitcommit", "gitignore", "html", "go"
    },

    -- This will be populated after load.
    modules = {},

    -- Only enable if CLI treesitter is installed.
    auto_install = false,

    -- Install languages synchronously (only applied to `ensure_installed`)
    sync_install = false,

    -- List of parsers to ignore installing
    ignore_install = { },

    highlight = {
        enable = true,
        disable = {},
        -- Setting this to true will run `:h syntax` and tree-sitter at the same 
        -- time. Set this to `true` if you depend on 'syntax' being enabled (like 
        -- for indentation). Using this option may slow down your editor, and you 
        -- may see some duplicate highlights. Instead of true it can also be a list 
        -- of languages
        additional_vim_regex_highlighting = false,
    },

    indent = {
        enable = true
    }
}
