#!/usr/bin/env bash

set -o errexit
set -o pipefail
set -o nounset

# Key locations
local_base="$HOME/.local"
config_base="$HOME/.config"

# User level directories.
mkdir -p "$local_base"
mkdir -p "$local_base/bin"
mkdir -p "$local_base/log"
mkdir -p "$local_base/log/$USER"
mkdir -p "$local_base/install"

# Location for source code.
mkdir -p "$HOME/src"

# Backups, used for dotfiles.
mkdir -p "$HOME/.local/backups/dotfiles"

# User level configuration.
mkdir -p "$config_base"
mkdir -p "$config_base/alacritty"
mkdir -p "$config_base/fontconfig"
mkdir -p "$config_base/i3"
mkdir -p "$config_base/i3status"
mkdir -p "$config_base/nvim"
